# Class FootNotes

#### Hierarchy

- XmlComponent
  - FootNotes

- Defined in src/file/footnotes/footnotes.ts:9

#####
Index

### Constructors

constructor

### Methods

addChildElement
createFootNote
prepForXml

## Constructors

### constructor

- new FootNotes(): FootNotes

- #### Returns FootNotes

  Overrides XmlComponent.constructor

  - Defined in src/file/footnotes/footnotes.ts:10

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:34

### createFootNote

- createFootNote(id: number, paragraph: Paragraph[]): void

- #### Parameters

  - ##### id: number

  - ##### paragraph: Paragraph[]

  #### Returns void

  - Defined in src/file/footnotes/footnotes.ts:70

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:15

Generated using TypeDoc